> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the emissions data month by month



## OpenAPI

````yaml openapi/findity-admin-api.json GET /carbonemissions/emissionmonthbymonth
openapi: 3.1.0
info:
  title: Findity Admin API
  description: Findity Admin API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/admin
  - url: https://api.findity.com/api/v1/admin
security:
  - bearerAuth: []
paths:
  /carbonemissions/emissionmonthbymonth:
    get:
      tags:
        - Carbon emissions
      summary: Get the emissions data month by month
      operationId: getEmissionMonthByMonth
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/type'
        - $ref: '#/components/parameters/fromDate'
        - $ref: '#/components/parameters/toDate'
        - $ref: '#/components/parameters/category'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmissionMonthByMonth'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
components:
  parameters:
    organizationId:
      in: query
      name: organizationId
      required: true
      description: The organization id of the carbon emissions
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    type:
      in: query
      name: type
      required: true
      description: The type of the emission. Required type for the travel tab is "travel"
      schema:
        type: string
        enum:
          - emissions
          - travel
      example: emissions
    fromDate:
      in: query
      name: fromDate
      required: false
      description: Used for filtering
      schema:
        type: string
        format: date
      example: '2020-01-20'
    toDate:
      in: query
      name: toDate
      required: false
      description: Used for filtering
      schema:
        type: string
        format: date
      example: '2018-01-23'
    category:
      in: query
      name: category
      required: false
      description: IRIS category
      schema:
        type: string
        enum:
          - TRAIN
          - FUEL
          - ACCOMMODATION
          - RESTAURANT
          - TAXI
          - ELECTRONICSSHOP
          - SOFTWARE
          - PUBLICTRANSPORT
          - CARRENTAL
          - PARKING
          - COFFEEPLACE
          - CLOTHES
          - CLOUDSERVICES
          - ESCOOTER
          - SHIPPMENT
          - HARDWARESTORE
          - GROCERIES
          - HOUSEHOLDGOODS
          - ANIMALPRODUCTS
          - GARDENING
          - OPTICIAN
          - HAIRDRESSER
          - INSURANCE
          - LOAN
          - CONGESTIONTAX
          - APARTMENTRENTAL
          - ALCOHOL
          - VETERINARY
          - WELLNESS
          - BAKERY
          - CARSERVICE
          - FLIGHT
          - BUS
          - OFFICESUPPLIES
          - CARWASH
          - FERRY
          - TRANSACTIONS
          - CARTIRES
          - PHONEANDISP
          - CASHWITHDRAW
          - DRUGSTORE
          - MUSIC
          - BOOKSTORE
          - BREAKFAST
          - GIFTCARD
          - PHOTO
          - HOBBYSTORE
          - ELECTRICITY
      example: GROCERIES
  schemas:
    EmissionMonthByMonth:
      type: array
      description: Array of years
      items:
        type: array
        items:
          type: object
          properties:
            month:
              type: integer
              description: month
            totalEmission:
              type: number
              description: Total expense emissions in organization
            emissionUnit:
              type: string
              description: Unit of emission
            emissionByCategory:
              type: array
              items:
                $ref: '#/components/schemas/CategoryEmissionsByMonth'
      example:
        '2024':
          - month: 1
            totalEmission: 100
            emissionUnit: kg
            emissionByCategory:
              - name: TAXI
                emissionByMonth: 100
                emissionUnit: kg
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
      example:
        result: error
        code: ORGANIZATION_NOT_FOUND
        description: 'Failed to get organization for id: {orgId}'
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    CategoryEmissionsByMonth:
      type: object
      properties:
        name:
          type: string
        emissionByMonth:
          type: number
        emissionUnit:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````